%define name    kirocker
%define version 3.4.1
%define release %mkrel 1

Summary:        Full screen and kicker applet view for Amarok
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Url:            http://kde-apps.org/content/show.php?content=52869
Group:          Sound
Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdemultimedia-devel
BuildRequires:  kdebase-devel 
BuildRequires:  desktop-file-utils

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
 
%description

Make your Kicker (the KDE main panel) rock with your music.

It is a Kicker applet that displays what you listen to in Amarok.

With this panel applet, you always know what you are listening to, and can
watch its cover and star rating: it is always visible.
It allows you to rate your music with one click: you can quickly change the
number of stars of your musics from anywhere on your desktop.
Finally, it let you remotely control Amarok with one click from anywhere on
your desktop: play next or previous track, pause, play, and seek to another
position in the current track.

You also have the possibility to show your currently playing music in a
beautiful full screen mode. Ideal for parties or to listen to music while
doing something else away from the computer.
The full screen mode can be triggered independently of the panel applet. You
can start it from the KMenu or from Amarok itself.

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/kde3/%{name}_panelapplet.*
%{_datadir}/icons/crystalsvg/*/apps/%{name}.png
%{_datadir}/icons/crystalsvg/*/actions/*.png
%{_datadir}/applnk/Multimedia/%{name}-app.desktop
%dir %{_datadir}/apps/amarok/scripts/%{name}
%{_datadir}/apps/amarok/scripts/%{name}/*
%{_datadir}/apps/kicker/applets/%{name}.desktop
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/*
%dir %{_docdir}/HTML/*/%{name}
%{_docdir}/HTML/*/%{name}/*

#--------------------------------------------------------------------

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf %buildroot

%{makeinstall_std}

desktop-file-install --vendor="" \
  --add-category="KDE" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --add-category="AudioVideo" \
  --add-category="Audio" \
  --dir %{buildroot}%{_datadir}/applnk/Multimedia %{buildroot}%{_datadir}/applnk/Multimedia/%{name}-app.desktop

%find_lang %{name}

%clean
rm -rf %buildroot






%changelog
* Sun Aug 19 2007 Colin Guthrie <cguthrie@mandriva.org> 3.4.1-1mdv2008.0
+ Revision: 66860
- Import kirocker

